<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv"><h1>#{messages['gazelle.ordermanager.WorklistDetails']}</h1>
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.GeneralInformation']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Domain']}</ui:define>
                            <h:outputText value="#{worklistEntryManager.worklist.domain.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.OwnedByActor']}</ui:define>
                            <h:outputText value="#{worklistEntryManager.worklist.simulatedActor.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                            <h:outputText value="#{worklistEntryManager.worklist.creator}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.CreationDate_2']}</ui:define>
                            <g:date value="#{worklistEntryManager.worklist.lastChanged}"/>
                        </s:decorate>
                    </dl>
                    <ui:define name="panel_footer">
                        <div class="row">
                            <h:commandLink styleClass="gzl-btn-blue"
                                           value="#{messages['gazelle.ordermanager.DownloadTheDICOMWorklist']}"
                                           actionListener="#{worklistEntryManager.downloadWorklist(worklistEntryManager.DICOM, worklistEntryManager.worklist)}"/>
                            <h:commandLink styleClass="gzl-btn-blue"
                                           value="#{messages['gazelle.ordermanager.DownloadAnXMLVersionOfTheWorklist']}"
                                           actionListener="#{worklistEntryManager.downloadWorklist(worklistEntryManager.XML, worklistEntryManager.worklist)}"/>
                            <h:commandLink styleClass="gzl-btn-blue"
                                           value="#{messages['gazelle.ordermanager.DownloadADUMPVersionOfTheWorklist']}"
                                           actionListener="#{worklistEntryManager.downloadWorklist(worklistEntryManager.DUMP, worklistEntryManager.worklist)}"
                                           rendered="false"/>
                        </div>
                    </ui:define>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.SCPInformation']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.SCPAETitle']}</ui:define>
                            <h:outputText
                                    value="#{worklistEntryManager.worklist.domain.keyword}_#{messages['gazelle.ordermanager.OF']}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.SCPIPAddress']}</ui:define>
                            <h:outputText value="#{applicationConfiguration.getValueOfVariable('dicom_proxy_ip')}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.SCPPort']}</ui:define>
                            <h:outputText value="#{applicationConfiguration.getValueOfVariable('dicom_proxy_port')}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.WorklistDetails']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Patient']}</ui:define>
                            <h:outputLink
                                    value="#{applicationConfiguration.getValueOfVariable('application_url')}/browsing/patient.seam?id=#{worklistEntryManager.selectedProcedureStep.requestedProcedure.order.encounter.patient.id}"
                                    >
                                #{worklistEntryManager.selectedProcedureStep.requestedProcedure.order.encounter.patient.firstName}
                                #{worklistEntryManager.selectedProcedureStep.requestedProcedure.order.encounter.patient.lastName}
                            </h:outputLink>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
                            <h:outputText
                                    value="#{worklistEntryManager.selectedProcedureStep.requestedProcedure.order.encounter.visitNumber}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.AccessionNumber']}</ui:define>
                            <h:outputLink
                                    value="#{applicationConfiguration.getValueOfVariable('application_url')}/browsing/order.seam?domain=#{worklistEntryManager.selectedProcedureStep.domain.keyword}&amp;id=#{worklistEntryManager.selectedProcedureStep.requestedProcedure.order.id}"
                                    >
                                #{worklistEntryManager.selectedProcedureStep.requestedProcedure.order.accessionNumber}
                            </h:outputLink>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.StudyInstanceUID_2']}</ui:define>
                            <h:outputLink
                                    value="#{applicationConfiguration.getValueOfVariable('application_url')}/browsing/procedure.seam?id=#{worklistEntryManager.selectedProcedureStep.requestedProcedure.id}"
                                    >
                                #{worklistEntryManager.selectedProcedureStep.requestedProcedure.studyInstanceUID}
                            </h:outputLink>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ScheduledProcedureStepID']}
                            </ui:define>
                            <h:outputText value="#{worklistEntryManager.selectedProcedureStep.scheduledProcedureID}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{not empty worklistEntryManager.selectedProcedureStep.spsDescription}">
                            <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                            <h:outputText value="#{worklistEntryManager.selectedProcedureStep.spsDescription}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ScheduledStartDatetime']}
                            </ui:define>
                            <g:date value="#{worklistEntryManager.selectedProcedureStep.spsStartDateTime}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ProtocolItems']})</ui:define>
                            <rich:list value="#{worklistEntryManager.selectedProcedureStep.protocolItems}" var="item"
                                       type="unordered">
                                <h:outputText value="#{item.protocolCodeMeaning}"/>
                            </rich:list>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ScheduledStationAETitle_2']}
                            </ui:define>
                            <h:outputText value="#{worklistEntryManager.worklist.stationAETitle}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <gri:panel pid="worklistDump">
                 <f:facet name="header">#{messages['gazelle.ordermanager.XMLDumpOfTheWorklist']}</f:facet>
                    <gdk:insert
                            content="#{worklistEntryManager.displayWorklistAsXml()}"
                            highlight="xml" encoding="UTF-8"/>
                </gri:panel>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
